#!/usr/bin/env bash
# shellcheck disable=SC2034

iso_name="parabola-openrc-lxde"
iso_label="PARA_$(date +%Y%m)"
iso_publisher="Parabola GNU/Linux-libre <https://parabola.nu>"
iso_application="Parabola GNU/Linux-libre Live/Rescue CD"
iso_version="$(date +%Y.%m.%d)"
install_dir="parabola"
bootmodes=('bios.syslinux.mbr' 'bios.syslinux.eltorito' 'uefi-x64.refind.esp' 'uefi-x64.refind.eltorito')
arch="dual"
pacman_conf="pacman.conf"
airootfs_image_tool_options=('-comp' 'xz' '-Xbcj' 'x86' '-b' '1M' '-Xdict-size' '1M')
file_permissions=(
  ["/etc/shadow"]="0:0:400"
  ["/root"]="0:0:750"
  ["/root/.automated_script.sh"]="0:0:755"
  ["/usr/local/bin/choose-mirror"]="0:0:755"
  ["/usr/local/bin/Installation_guide"]="0:0:755"
#  ["/usr/local/bin/livecd-sound"]="0:0:755"
)
